org.icefaces.ace.component.gmap

## Class GMapAutocompleteRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.icefaces.ace.renderkit.CoreRenderer
    - - org.icefaces.ace.component.gmap.GMapAutocompleteRenderer

-     public class GMapAutocompleteRenderer
      extends CoreRenderer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GMapAutocompleteRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `boolean` | `isSource(javax.faces.context.FacesContext context, java.lang.String clientId)`
    `void` | `makeFields(javax.faces.context.ResponseWriter writer, java.lang.String clientId, java.lang.String fieldName)`

    - ### Methods inherited from class org.icefaces.ace.renderkit.CoreRenderer

      `addToAutoUpdate, convertClientId, decodeBehaviors, decodeBehaviors, encodeClientBehaviors, escapeText, getActionURL, getComponentResourceBundle, getEncodedURL, getEscapedClientId, getLocalisedMessageFromBundle, getResourceRequestPath, getResourceURL, isAjaxRequest, isPostBack, isPostback, isValueBlank, isValueEmpty, renderChild, renderChildren, renderPassThruAttributes, renderPassThruAttributes, renderPassThruAttributes, resolveWidgetVar, shouldRenderAttribute, themeForms`

    - ### Methods inherited from class javax.faces.render.Renderer

      `encodeChildren, encodeEnd, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GMapAutocompleteRenderer

          public GMapAutocompleteRenderer()

  - ### Method Detail

    - #### decode

          public void decode(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)

      Overrides:
        `decode` in class `javax.faces.render.Renderer`

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### makeFields

          public void makeFields(javax.faces.context.ResponseWriter writer,
                                 java.lang.String clientId,
                                 java.lang.String fieldName)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isSource

          public boolean isSource(javax.faces.context.FacesContext context,
                                  java.lang.String clientId)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.